epp_PollOpType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.epp_PollOpType class

### org.openrtk.idl.epp0705

# Class epp_PollOpType

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.epp_PollOpType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_PollOpType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of poll operation types. Two poll operation types permitted are: REQ (request) and ACK (acknowledge). $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/epp_PollOpType.java,v 1.1 2003/03/20 22:42:19 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/20 22:42:19 $

See Also:
  `epp_PollReq`

  ## Field Summary
  `static epp_PollOpType` | `ACK` Instance of epp_PollOpType representing the ACK poll operation type.
  `static epp_PollOpType` | `REQ` Instance of epp_PollOpType representing the REQ poll operation type.
  `static int` | `_ACK` Integer value representing the ACK poll operation type.
  `static int` | `_REQ` Integer value representing the REQ poll operation type.

  ## Constructor Summary
  `epp_PollOpType(int value)` For internal use only.

  ## Method Summary
  `static epp_PollOpType` | `from_int(int value)` Transform an integer into a epp_PollOpType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer representing the poll operation type.

## Field Details

### ACK

    public static final epp_PollOpType ACK

> Instance of epp_PollOpType representing the ACK poll operation type. Used directly with epp_PollReq.
> See Also:
>   `epp_PollReq`

### REQ

    public static final epp_PollOpType REQ

> Instance of epp_PollOpType representing the REQ poll operation type. Used directly with epp_PollReq.
> See Also:
>   `epp_PollReq`

### _ACK

    public static final int _ACK

> Integer value representing the ACK poll operation type.
> Field Value:
>   0
> See Also:
>   `ACK`

### _REQ

    public static final int _REQ

> Integer value representing the REQ poll operation type.
> Field Value:
>   1
> See Also:
>   `REQ`

## Constructor Details

### epp_PollOpType

    protected epp_PollOpType(int value)

> For internal use only. Initializes the internal poll operation type array.
> Parameters:
>   `value` - The integer value for the desired poll operation type

## Method Details

### from_int

    public static epp_PollOpType from_int(int value)

> Transform an integer into a epp_PollOpType constant. Given the integer representation of the operation type, returns one of the operation type constants.
> Parameters:
>   `value` - The integer value for the desired operation type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer representing the poll operation type.
> Returns:
>   The integer value of this poll operation type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS